Compare commits

...

4 Commits

Author SHA1 Message Date
Mark Andrews
e9919ecdcd od -c 2019-04-12 16:58:19 +10:00
Mark Andrews
2d71209fae cat .gitattributes 2019-04-12 16:00:31 +10:00
Mark Andrews
fa7a45c72a see what git diff reports 2019-04-12 15:37:13 +10:00
Mark Andrews
2c201d8cd7 open in :crlf mode 2019-04-12 15:25:45 +10:00
2 changed files with 14 additions and 1 deletions

View File

@@ -163,7 +163,14 @@ misc:sid:amd64:
- perl -w util/merge_copyrights
- diff -urNap util/copyrights util/newcopyrights
- rm util/newcopyrights
- echo XXXXX
- od -c win32utils/build.txt
- perl -w util/update_copyrights < util/copyrights
- echo YYYYY
- od -c win32utils/build.txt
- echo ZZZZZ
- git diff
- cat .gitattributes
- if test "$(git status --porcelain | grep -Ev '\?\?' | wc -l)" -gt "0"; then git status --short; exit 1; fi
- xmllint --noout --nonet `git ls-files '*.xml' '*.docbook'`
- xmllint --noout --nonet --html `git ls-files '*.html'`

View File

@@ -434,7 +434,13 @@ foreach $file (keys %file_types) {
$first = "" if ! defined($first);
open(TARGET, ">$file.new") || die "can't open $file.new: $!";
# Match .gitattribute entries:
# win32utils/**.txt eol=crlf
if ($file =~ /\/win32utils\/[^\/]*\.txt$/ ) {
open(TARGET, ">:crlf", "$file.new") || die "can't open $file.new: $!";
} else {
open(TARGET, ">", "$file.new") || die "can't open $file.new: $!";
}
print TARGET $before_copyright if $before_copyright;
print TARGET $start_comment if $start_comment;